<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
	<th:block th:include="include :: header('档案管理')" />
	<th:block th:include="include :: layout-latest-css" />
	<th:block th:include="include :: ztree-css" />
</head>
<body class="gray-bg">

	<div class="ui-layout-center">
		<div class="container-div">
			<div class="row">
				<div class="col-sm-12 search-collapse" >
					<div class="query-condition-container">
						<h4 class="query-condition-title">查询条件</h4>
						<div class="query-buttons">
							<a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
							<a class="btn btn-warning btn-rounded btn-sm" onclick="resetPre()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
						</div>

					</div>
					<form id="archives-form" class="customize-search-form">
						<div class="customize-form-group">
							<label>患者信息：</label>
							<input type="text" placeholder="请输入患者ID,姓名手机号" class="styled-input" name="nameQuery"/>
						</div>
						<div class="customize-form-group">
							<label>	药品：</label>
							<input type="text"  placeholder="请输入商品名/通用名/MDM编码" class="styled-input" name="query"/>
						</div>
						<div class="customize-form-group">
							<label>随访跟进人:</label>
							<input type="text"  placeholder="请输入随访跟进人" class="styled-input" name="followUpPerson"/>
						</div>
						<div class="customize-form-group">
							<label>是否接受随访:</label>
							<select name="acceptFollowUp" id="acceptFollowUpSelect" class="styled-input" th:with="type=${@dict.getType('sys_select_yes_no')}">
								<option value="">所有</option>
								<option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictLabel}"></option>
							</select>
						</div>
						<div class="customize-form-group">
							<label>档案是否完善:</label>
							<select name="archiveCompleteStatus"  class="styled-input" th:with="type=${@dict.getType('sys_doc_yes_no')}">
								<option value="">所有</option>
								<option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictLabel}" ></option>
							</select>
						</div>
						<div class="customize-form-group">
							<label>门店:</label>
							<input type="text"  placeholder="请输入门店" class="styled-input" name="storeName"/>
						</div>

					</form>
				</div>

		        <div class="btn-group-sm" id="toolbar" role="group">
		        <a class="btn btn-success" onclick="$.operate.addSetwh(null,900,750)" shiro:hasPermission="system:user:add">
		                <i class="fa fa-plus"></i> 患者快速建档
		            </a>
		            <a class="btn btn-danger multiple disabled" onclick="$.operate.removeAll()" shiro:hasPermission="system:user:remove">
		                <i class="fa fa-remove"></i> 批量删除
		            </a>
		        </div>

				<div class="col-sm-12 select-table table-striped" style="width: 100%; overflow-x: hidden;">
					<table id="bootstrap-table" class="fixed-layout-table"></table>
				</div>
			</div>
		</div>
	</div>

	<th:block th:include="include :: footer" />
	<th:block th:include="include :: layout-latest-js" />
	<th:block th:include="include :: bootstrap-table-fixed-columns-js" />
	<th:block th:include="include :: ztree-js" />
	<script th:inline="javascript">
		var editFlag = [[${@permission.hasPermi('dtp:RecipeRegister:edit')}]];
		var removeFlag = [[${@permission.hasPermi('dtp:RecipeRegister:remove')}]];
		var prefix = ctx + "dtp/pmService";
		var w=900;
		var h=900;
		$(function() {
		    var panehHidden = false;
		    if ($(this).width() < 1590) {
		        panehHidden = true;
		    }
		    $('body').layout({ initClosed: panehHidden, west__size: 185, resizeWithWindow: false });
	     	// 回到顶部绑定
	    	if ($.fn.toTop !== undefined) {
	    		var opt = {
	    			win:$('.ui-layout-center'),
	    			doc:$('.ui-layout-center')
	    		};
	    		$('#scroll-up').toTop(opt);
	    	}
			queryArchivesList();
		});

		function queryArchivesList() {

		    var options = {
		        url: prefix + "/archivesList",
		        viewUrl: prefix + "/archivesView/{id}",
		        createUrl: prefix + "/archivesAdd",
		        updateUrl: prefix + "/archivesEdit/{id}",
		        removeUrl: prefix + "/archivesRemove",
		        /*exportUrl: prefix + "/export",
		        importUrl: prefix + "/importData",
		        importTemplateUrl: prefix + "/importTemplate",*/
		        sortName: "id",
		        sortOrder: "asc",
		        modalName: "档案",
				fitColumns: true,
				striped: true,
				autoRowHeight: true,
				rowNumbers: true,
				showFooter:true,  //是否显示表格底部区域。
				clickToSelect: true, //是否启用点击行时选中整行的功能。
                singleSelect: false, //是否仅允许选择一行
				fixedColumns: true,
				//fixedNumber: 3,
				fixedRightNumber: 1,
		        columns: [
					{
						checkbox: true
					},
					{field: 'id', title: '患者ID', align: 'center'},
					{field: 'name', title: '姓名', align: 'center',sortable:true},
					{field: 'gender', title: '性别', align: 'center',
					formatter: function(value, row, index) {
						switch (value) {
							case 0:
								return "男";
								break;
							case 1:
								return "女";
								break;
							default:
								return "未知";
						}
					}},
				{field: 'age', title: '年龄', align: 'center'},
				{field: 'phoneNumber', title: '手机号', align: 'center'},
				{field: 'documentType', title: '证件类型', align: 'center'},
				{field: 'documentNumber', title: '证件号码', align: 'center',sortable:true},
				{field: 'realNameStatus', title: '实名状态', align: 'center'},
				{field: 'flipStatus', title: '上翻状态', align: 'center'},
				{field: 'disease', title: '疾病', align: 'center'},
				{field: 'genericName', title: '药品通用名', align: 'center'},
				{field: 'productName', title: '商品名', align: 'center'},
				{field: 'mdmCode', title: 'MDM编码', align: 'center'},
				{field: 'manufacturerShortName', title: '厂家', align: 'center'},
				{field: 'specification', title: '规格', align: 'center'},

				{field: 'storeName', title: '门店', align: 'center'},
				{field: 'archiveCreator', title: '档案创建人', align: 'center'},
				{field: 'archiveCompleter', title: '档案完善人', align: 'center'},
				{field: 'acceptFollowUp', title: '是否接受随访', align: 'center'},
				{field: 'followUpPerson', title: '随访跟进人', align: 'center'},
				{field: 'archiveCompleteStatus', title: '档案是否完善', align: 'center'},
				{field: 'charityAssistance', title: '有无慈善援助', align: 'center'},
				{field: 'joinProject', title: '是否参加共建项目', align: 'center'},
				{field: 'followUpStatus', title: '随访状态', align: 'center'},
				{field: 'updateTime2', title: '更新时间', align: 'center',sortable:true},
				/*{
		        	formatter: function (value, row, index) {
						console.log(value+"-------v");
						console.log(row+"-------r");
		        		return statusTools(row);
		        	}
		        },*/

		        {
		            title: '操作',
		            align: 'center',
		            formatter: function(value, row, index) {
		                if (row.id) {
		                	var actions = [];
			                actions.push('<a class="btn btn-success btn-xs ' + editFlag + '" href="javascript:void(0)" onclick="$.operate.editTab(\'' + row.id + '\')"><i class="fa fa-edit"></i>编辑档案</a> ');
			                actions.push('<a class="btn btn-danger btn-xs ' + removeFlag + '" href="javascript:void(0)" onclick="$.operate.remove(\'' + row.id + '\')"><i class="fa fa-remove"></i>删除</a> ');
			                return actions.join('');
		            	} else {
		                    return "";
		                }
		            }
		        }]
		    };
		    $.table.init(options);
		}

		/* 自定义重置-表单重置/隐藏框/树节点选择色/搜索 */
		function resetPre() {
			resetDate();
			$("#archives-form")[0].reset();
			$("#deptId").val("");
			$("#parentId").val("");
			$(".curSelectedNode").removeClass("curSelectedNode");
			$.table.search();
			_refresh();
		}

		/* 用户状态显示 */
		function statusTools(row) {
		    if (row.status == 1) {
    			return '<i class=\"fa fa-toggle-off text-info fa-2x\" onclick="enable(\'' + row.userId + '\')"></i> ';
    		} else {
    			return '<i class=\"fa fa-toggle-on text-info fa-2x\" onclick="disable(\'' + row.userId + '\')"></i> ';
    		}
		}
	</script>
</body>

</html>
